| Irrlicht 3D Engine |

Public Member Functions
irr::scene::IMeshWriter Class Reference

Interface for writing meshes. More...

`#include <IMeshWriter.h>`

Inheritance diagram for irr::scene::IMeshWriter:

List of all members.

## Public Member Functions

- virtual ~IMeshWriter ()
    Destructor.
- virtual EMESH_WRITER_TYPE getType () const =0
    Get the type of the mesh writer.
- virtual bool writeMesh (io::IWriteFile *file, scene::IMesh *mesh, s32 flags=EMWF_NONE)=0
    Write a static mesh.

## Detailed Description

Interface for writing meshes.

Definition at line 23 of file IMeshWriter.h.

## Constructor & Destructor Documentation

virtual irr::scene::IMeshWriter::~IMeshWriter | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 28 of file IMeshWriter.h.

## Member Function Documentation

virtual EMESH_WRITER_TYPE irr::scene::IMeshWriter::getType | ( |  | ) | const`[pure virtual]`

Get the type of the mesh writer.

For own implementations, use MAKE_IRR_ID as shown in the EMESH_WRITER_TYPE enumeration to return your own unique mesh type id.

Returns:
  Type of the mesh writer.

virtual bool irr::scene::IMeshWriter::writeMesh | ( | io::IWriteFile * | file,
|  | scene::IMesh * | mesh,
|  | s32 | flags = `EMWF_NONE`
| ) |  | `[pure virtual]`

Write a static mesh.

Parameters:

  file | File handle to write the mesh to.
  mesh | Pointer to mesh to be written.
  flags | Optional flags to set properties of the writer.

Returns:
  True if sucessful

The documentation for this class was generated from the following file:

- IMeshWriter.h